using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// ERP接收出入库单据类型定义
    /// </summary>
    public class ReceiveStockBillType
    {
        [Key]
        [DisplayName("内码")]
        public int FID { get; set; }
        [DisplayName("接口名称")]
        public int FFunctionID { get; set; }
        [DisplayName("ERP单据类型ID")]
        public string ErpBillTypeID { get; set; }
        [DisplayName("ERP单据名称")]
        [StringLength(100)]
        public string ErpBillName { get; set; } = string.Empty;
        [DisplayName("是否红蓝单")]
        public bool FROB { get; set; }
        [DisplayName("主表表名")]
        [StringLength(100)]
        public string FHeadTbName { get; set; } = string.Empty;
        [DisplayName("从表表名")]
        [StringLength(100)]
        public string FEntryTbName { get; set; } = string.Empty;
        [DisplayName("默认状态")]
        public int FStatus { get; set; }
        [DisplayName("默认制单人")]
        public int FDefaultUserid { get; set; }
        [DisplayName("默认部门")]
        public int FDefaultDepid { get; set; }

        [ForeignKey("FFunctionID")]
        public FunctionList functions { get; set; }
    }
}
